"use strict";

var _package = require("../package.json");

var _path = require("path");

var _core = require("@babel/core");

var _compile = _interopRequireDefault(require("../test/utils/compile"));

var _ = _interopRequireDefault(require("."));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe(_package.name, () => {
  it('should replace String.prototype.padStart with a polyfill', () => {
    const result = (0, _compile.default)(`
      const text = 'this is a string'
      if (text.padStart('a')) {
        console.log('success')
      } else {
        console.log('failure')
      }
    `);
    expect(result).toMatchSnapshot();
  });
  it('should not try to transform the polyfills themselves', () => {
    const result = (0, _core.transformFileSync)((0, _path.resolve)(__dirname, '..', 'polyfills', 'Array', 'prototype', 'find.js'), {
      ast: false,
      babelrc: false,
      plugins: [_.default]
    }).code;
    expect(result).toMatchSnapshot();
  });
});