"use strict";

var _compile = _interopRequireDefault(require("../../test/utils/compile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Object.assign', () => {
  it('should replace Object.assign with a polyfill', () => {
    const result = (0, _compile.default)(`
      const c = Object.assign({a:1}, {b:2})
    `);
    expect(result).toMatchSnapshot();
  });
  it('should not import polyfill more than once', () => {
    const result = (0, _compile.default)(`
      const e = Object.assign({a:1}, {b:Object.assign({c:3}, {d:4})})
    `);
    expect(result).toMatchSnapshot();
  });
  it('should work when part of a call chain', () => {
    const result = (0, _compile.default)(`
      const c = Object.keys(Object.assign({a:1}, {b:2}))
    `);
    expect(result).toMatchSnapshot();
  });
  it('should work when using apply', () => {
    const result = (0, _compile.default)(`
      const c = Object.assign.apply(null, [{a:1}, {b:2}])
    `);
    expect(result).toMatchSnapshot();
  });
  it('should work when using call', () => {
    const result = (0, _compile.default)(`
      const c = Object.assign.call(null, {a:1}, {b:2})
    `);
    expect(result).toMatchSnapshot();
  });
});