"use strict";

var _compile = _interopRequireDefault(require("../../test/utils/compile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Promise.resolve', () => {
  it('should replace Promise.resolve with a polyfill', () => {
    const result = (0, _compile.default)(`
      const c = Promise.resolve()
    `);
    expect(result).toMatchSnapshot();
  });
  it('should not import polyfill more than once', () => {
    const result = (0, _compile.default)(`
      const e = Promise.resolve(Promise.resolve([1, 2]))
    `);
    expect(result).toMatchSnapshot();
  });
  it('should work when part of a call chain', () => {
    const result = (0, _compile.default)(`
      const c = Object.keys(Promise.resolve())
    `);
    expect(result).toMatchSnapshot();
  });
});