"use strict";

var _compile = _interopRequireDefault(require("../../test/utils/compile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Promise', () => {
  it('should replace new Promise with a polyfill', () => {
    const result = (0, _compile.default)(`
      const c = new Promise(function (resolve, reject) {
        resolve({ a: 1 })
      })
    `);
    expect(result).toMatchSnapshot();
  });
  it('should not import polyfill more than once', () => {
    const result = (0, _compile.default)(`
      const e = new Promise(function (resolve, reject) {
        new Promise(function (resolve, reject) {
          setTimeout(resolve, 1000)
        }).then(resolve, reject)
      })
    `);
    expect(result).toMatchSnapshot();
  });
  it('should work when part of a call chain', () => {
    const result = (0, _compile.default)(`
      const c = Object.keys(new Promise(function (resolve, reject) {
        resolve({ a: 1 })
      }))
    `);
    expect(result).toMatchSnapshot();
  });
  it('should not touch other new expressions', () => {
    const result = (0, _compile.default)(`
      const c = Object.keys(new Promise(function (resolve, reject) {
        new OtherClass(() => resolve({ a: 1 }))
      }))
    `);
    expect(result).toMatchSnapshot();
  });
});