"use strict";

var _compile = _interopRequireDefault(require("../../test/utils/compile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('String.fromCodePoint', () => {
  it('should replace String.fromCodePoint with a polyfill', () => {
    const result = (0, _compile.default)(`
      const c = String.fromCodePoint(1, 2)
    `);
    expect(result).toMatchSnapshot();
  });
  it('should not import polyfill more than once', () => {
    const result = (0, _compile.default)(`
      const e = String.fromCodePoint(1)
      const b = String.fromCodePoint(2)
    `);
    expect(result).toMatchSnapshot();
  });
  it('should work when part of a call chain', () => {
    const result = (0, _compile.default)(`
      const c = Object.keys(String.fromCodePoint(1, 2))
    `);
    expect(result).toMatchSnapshot();
  });
  it('should work when using apply', () => {
    const result = (0, _compile.default)(`
      const c = String.fromCodePoint.apply(null, [1, 2, 3])
    `);
    expect(result).toMatchSnapshot();
  });
  it('should work when using call', () => {
    const result = (0, _compile.default)(`
      const c = String.fromCodePoint.call(null, 1, 2)
    `);
    expect(result).toMatchSnapshot();
  });
});